Package org.eclipse.emf.cdo.server.db.mapping

## Interface IClassMappingAuditSupport

-     public interface IClassMappingAuditSupport

  Interface which complements `IClassMapping` with methods to facilitate audit support.
  Since:
    2.0
  Author:
    Eike Stepper, Stefan Winkler
  See Also:
    `IMappingStrategy.hasAuditSupport()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `readRevisionByVersion​(IDBStoreAccessor storeAccessor, InternalCDORevision revision, int listChunk)` | Read a specific version of a revision.

- - ### Method Detail

    - #### readRevisionByVersion

          boolean readRevisionByVersion​(IDBStoreAccessor storeAccessor,
                                        InternalCDORevision revision,
                                        int listChunk)

      Read a specific version of a revision. If this method returns `true` it is guaranteed that `revision.getVersion() == version`
      Parameters:
        `storeAccessor` - the accessor to use.
        `revision` - the revision object into which the data should be read. The revision has to be have its ID set to the requested object's ID. The version is ignored, as the version parameter is used to determine the version to be read.
        `listChunk` - the chunk size to read attribute lists.
      Returns:
        `true`, if the revision has been found and read correctly. `false` if the revision could not be found. In this case, the content of `revision` is undefined.
      Since:
        3.0